QuattroDosChartInternal::Chart Class Reference documentation

Public Member Functions | Public Attributes | Protected Attributes | List of all members
QuattroDosChartInternal::Chart Class Referencefinal

the chart of a Quattro Pro Dos More...

Inheritance diagram for QuattroDosChartInternal::Chart:

## Public Member Functions
| Chart (QuattroDosChart &parser, RVNGInputStreamPtr const &input)
| constructor More...
void | sendContent (TextZone const &zone, WPSListenerPtr &listener) const final
| send the zone content (called when the zone is of text type) More...
Public Member Functions inherited from WKSChart
| WKSChart (Vec2f const &dim=Vec2f())
| the constructor More...
virtual | ~WKSChart ()
| the destructor More...
void | sendChart (WKSContentListenerPtr &listener, librevenge::RVNGSpreadsheetInterface *interface) const
| send the chart to the listener More...
virtual void | sendContent (TextZone const &zone, WPSListenerPtr &listener) const =0
| send the zone content (called when the zone is of text type) More...
void | setGridColor (WPSColor const &color)
| set the grid color More...
Axis & | getAxis (int coord)
| return an axis (corresponding to a coord) More...
Axis const & | getAxis (int coord) const
| return an axis (corresponding to a coord) More...
Legend const & | getLegend () const
| returns the legend More...
Legend & | getLegend ()
| returns the legend More...
Serie * | getSerie (int id, bool create)
| return a serie More...
std::map< int, Serie > const & | getIdSerieMap () const
| returns the list of defined series More...
TextZone * | getTextZone (TextZone::Type type, bool create=false)
| returns a textzone content More...

## Public Attributes
Position | m_ranges [2]
| the chart range More...
int | m_spreadsheetId
| the sheet id More...
Public Attributes inherited from WKSChart
Vec2f | m_dimension
| the chart dimension in point More...
Serie::Type | m_type
| the chart type (if no series) More...
bool | m_dataStacked
| a flag to know if the data are stacked or not More...
bool | m_dataPercentStacked
| a flag to know if the data are percent stacked or not More...
bool | m_dataVertical
| a flag to know if the data are vertical (for bar) More...
bool | m_is3D
| a flag to know if the graphic is 3D More...
bool | m_is3DDeep
| a flag to know if real 3D or 2D-extended More...
WPSGraphicStyle | m_style
| the chart style More...
librevenge::RVNGString | m_name
| the chart name More...
WPSBox2f | m_plotAreaPosition
| the plot area dimension in percent More...
WPSGraphicStyle | m_plotAreaStyle
| the ploat area style More...
WPSBox2f | m_legendPosition
| the legend dimension in percent More...
WPSGraphicStyle | m_floorStyle
| floor More...
WPSGraphicStyle | m_wallStyle
| wall More...

## Protected Attributes
QuattroDosChart & | m_parser
| the parser More...
RVNGInputStreamPtr | m_input
| the input More...
Protected Attributes inherited from WKSChart
WPSColor | m_gridColor
| the grid color More...
Axis | m_axis [5]
| the x,y,y-second,z and a bad axis More...
Legend | m_legend
| the legend More...
std::map< int, Serie > | m_serieMap
| the list of series More...
std::map< TextZone::Type, TextZone > | m_textZoneMap
| a map text zone type to text zone More...

## Additional Inherited Members
Protected Member Functions inherited from WKSChart
void | sendTextZoneContent (TextZone::Type type, WPSListenerPtr listener) const
| sends a textzone content More...

## Detailed Description

the chart of a Quattro Pro Dos

## Constructor & Destructor Documentation

## ◆ Chart()

QuattroDosChartInternal::Chart::Chart | ( | QuattroDosChart & | parser,
|  | RVNGInputStreamPtr const & | input
| ) |  |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ sendContent()

void QuattroDosChartInternal::Chart::sendContent | ( | TextZone const & | zone,
|  | WPSListenerPtr & | listener
| ) |  | const
| finalvirtual

send the zone content (called when the zone is of text type)

Implements WKSChart.

## Member Data Documentation

## ◆ m_input

RVNGInputStreamPtr QuattroDosChartInternal::Chart::m_input
| protected

the input

Referenced by sendContent().

## ◆ m_parser

QuattroDosChart& QuattroDosChartInternal::Chart::m_parser
| protected

the parser

Referenced by sendContent().

## ◆ m_ranges

Position QuattroDosChartInternal::Chart::m_ranges[2]

the chart range

Referenced by QuattroDosChart::updateSpreadsheetNames().

## ◆ m_spreadsheetId

int QuattroDosChartInternal::Chart::m_spreadsheetId

the sheet id

The documentation for this class was generated from the following file:

- QuattroDosChart.cpp